#!/bin/bash

TEEOS_VERSION="1.2.0"

deploy() {
    cp -rf libboundscheck.so /usr/lib64
    cp -rf libteec.so /usr/lib64
    ldconfig
    cp -rf teecd /usr/bin
    cp -rf tlogcat /usr/bin
}

echo "------------------------------------------------------------"
echo "准备开始部署iTrustee client"
echo "请确认TEE OS固件版本为$TEEOS_VERSION"
echo ""
while true; do
    read -p "是否开始部署？（Y/y:是，N/n:退出）> " yn
    case $yn in
        [Yy]* ) deploy; break;;
        [Nn]* ) exit;;
        * )  echo "请重新选择";echo "";;
    esac
done

echo ""
echo "部署结束"
echo "------------------------------------------------------------"
